## alsa-tools 1.0.11

=== ld10k1/contrib/emu10k1MIDIEffects/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# contrib/emu10k1MIDIEffects/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/ld10k1
pkglibdir = $(libdir)/ld10k1
pkgincludedir = $(includedir)/ld10k1
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = contrib/emu10k1MIDIEffects
DIST_COMMON = $(dist_effects_DATA) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(effectsdir)"
dist_effectsDATA_INSTALL = $(INSTALL_DATA)
DATA = $(dist_effects_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run aclocal-1.9
ALSA_CFLAGS = 
ALSA_LIBS =  -lasound -lm -ldl -lpthread
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run tar
AR = ar
AS10K1 = as10k1
AUTOCONF = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run autoconf
AUTOHEADER = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run autoheader
AUTOMAKE = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -Wall -pipe -g
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
HAVE_AS10K1_FALSE = #
HAVE_AS10K1_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LD10K1_LIB_EXTRAVER = 
LD10K1_LIB_MAJOR = 0
LD10K1_LIB_MINOR = 1
LD10K1_LIB_SUBMINOR = 8
LD10K1_LIB_VERSION = 0.1.8p1
LDFLAGS = 
LIBOBJS = 
LIBS = -lasound -lm -ldl -lpthread
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run makeinfo
OBJEXT = o
PACKAGE = ld10k1
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.1.8p1
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
effectsdir = $(pkgdatadir)/effects
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/alsa/tmp/cvs/alsa-tools/ld10k1/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = \
	volBUS1.asm \
	3volBUS2.asm \
	emu_constants.asm \
	freberv.asm \
	gain_4.asm \
	michorusL.asm \
	michorusR.asm \
	volLR.asm \
	emu_constants.inc \
	fv-basstreble.inc \
	fv-controls.inc \
	fv-filters-reduced.inc \
	fv-filters.inc \
	fv-routes.inc \
	refl-big.inc \
	refl-default.inc \
	pontodo5

dist_effects_DATA = \
	3volBUS1.emu10k1 \
	3volBUS2.emu10k1 \
	freberv.emu10k1 \
	gain_4.emu10k1 \
	michorusL.emu10k1 \
	michorusR.emu10k1 \
	volLR.emu10k1

CLEANFILES = $(dist_effects_DATA)
SUFFIXEC = .asm .emu10k1
all: all-am

.SUFFIXES:
.SUFFIXES: .asm .emu10k1
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  contrib/emu10k1MIDIEffects/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  contrib/emu10k1MIDIEffects/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-dist_effectsDATA: $(dist_effects_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(effectsdir)" || $(mkdir_p) "$(DESTDIR)$(effectsdir)"
	@list='$(dist_effects_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(dist_effectsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(effectsdir)/$$f'"; \
	  $(dist_effectsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(effectsdir)/$$f"; \
	done

uninstall-dist_effectsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_effects_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(effectsdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(effectsdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(effectsdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-dist_effectsDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-dist_effectsDATA uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dist_effectsDATA \
	install-exec install-exec-am install-info install-info-am \
	install-man install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
	ps ps-am uninstall uninstall-am uninstall-dist_effectsDATA \
	uninstall-info-am


.asm.emu10k1:
	$(AS10K1) -o $@ $<
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## alsa-tools 1.0.13

=== ld10k1/contrib/emu10k1MIDIEffects/Makefile ===
--- 
+++ 
@@ -34,8 +34,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = i686-pc-linux-gnu
-host_triplet = i686-pc-linux-gnu
+build_triplet = i686-suse-linux
+host_triplet = i686-suse-linux
 subdir = contrib/emu10k1MIDIEffects
 DIST_COMMON = $(dist_effects_DATA) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in
@@ -88,8 +88,8 @@
 ECHO_T = 
 EGREP = grep -E
 EXEEXT = 
-F77 = g77
-FFLAGS = -g -O2
+F77 = 
+FFLAGS = 
 HAVE_AS10K1_FALSE = #
 HAVE_AS10K1_TRUE = 
 INSTALL_DATA = ${INSTALL} -m 644
@@ -124,7 +124,7 @@
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
-ac_ct_F77 = g77
+ac_ct_F77 = 
 ac_ct_RANLIB = ranlib
 ac_ct_STRIP = strip
 am__fastdepCC_FALSE = #
@@ -137,19 +137,19 @@
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build = i686-pc-linux-gnu
+build = i686-suse-linux
 build_alias = 
 build_cpu = i686
-build_os = linux-gnu
-build_vendor = pc
+build_os = linux
+build_vendor = suse
 datadir = ${prefix}/share
 effectsdir = $(pkgdatadir)/effects
 exec_prefix = ${prefix}
-host = i686-pc-linux-gnu
+host = i686-suse-linux
 host_alias = 
 host_cpu = i686
-host_os = linux-gnu
-host_vendor = pc
+host_os = linux
+host_vendor = suse
 includedir = ${prefix}/include
 infodir = ${prefix}/info
 install_sh = /home/alsa/tmp/cvs/alsa-tools/ld10k1/install-sh

## alsa-tools 1.0.15

=== ld10k1/contrib/emu10k1MIDIEffects/Makefile ===
--- 
+++ 
@@ -34,8 +34,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = i686-suse-linux
-host_triplet = i686-suse-linux
+build_triplet = x86_64-suse-linux-gnu
+host_triplet = x86_64-suse-linux-gnu
 subdir = contrib/emu10k1MIDIEffects
 DIST_COMMON = $(dist_effects_DATA) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in
@@ -86,10 +86,11 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = grep -E
+EGREP = /usr/bin/grep -E
 EXEEXT = 
 F77 = 
 FFLAGS = 
+GREP = /usr/bin/grep
 HAVE_AS10K1_FALSE = #
 HAVE_AS10K1_TRUE = 
 INSTALL_DATA = ${INSTALL} -m 644
@@ -121,12 +122,9 @@
 SHELL = /bin/sh
 STRIP = strip
 VERSION = 0.1.8p1
-ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 ac_ct_F77 = 
-ac_ct_RANLIB = ranlib
-ac_ct_STRIP = strip
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
 am__fastdepCXX_FALSE = #
@@ -137,30 +135,37 @@
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build = i686-suse-linux
+build = x86_64-suse-linux-gnu
 build_alias = 
-build_cpu = i686
-build_os = linux
+build_cpu = x86_64
+build_os = linux-gnu
 build_vendor = suse
-datadir = ${prefix}/share
+datadir = ${datarootdir}
+datarootdir = ${prefix}/share
+docdir = ${datarootdir}/doc/${PACKAGE}
+dvidir = ${docdir}
 effectsdir = $(pkgdatadir)/effects
 exec_prefix = ${prefix}
-host = i686-suse-linux
+host = x86_64-suse-linux-gnu
 host_alias = 
-host_cpu = i686
-host_os = linux
+host_cpu = x86_64
+host_os = linux-gnu
 host_vendor = suse
+htmldir = ${docdir}
 includedir = ${prefix}/include
-infodir = ${prefix}/info
+infodir = ${datarootdir}/info
 install_sh = /home/alsa/tmp/cvs/alsa-tools/ld10k1/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
+localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
-mandir = ${prefix}/man
+mandir = ${datarootdir}/man
 mkdir_p = mkdir -p --
 oldincludedir = /usr/include
+pdfdir = ${docdir}
 prefix = /usr/local
 program_transform_name = s,x,x,
+psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 sysconfdir = ${prefix}/etc

## alsa-tools 1.0.20

=== Makefile ===
VERSION = 1.0.20
TOP = .
SUBDIRS = ac3dec as10k1 envy24control hdsploader hdspconf hdspmixer \
	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \
	  us428control usx2yloader vxloader echomixer ld10k1 qlo10k1

all:
	@for i in $(SUBDIRS); do \
	  cd $(TOP)/$$i; echo $(TOP)/$$i; \
	  ./gitcompile $(GITCOMPILE_ARGS) || exit 1; \
	  cd ..; make -C $$i || exit 1; \
	done

configure:
	@for i in $(SUBDIRS); do \
	  cd $(TOP)/$$i; echo $(TOP)/$$i; \
	  if [ -x ./configure ]; then \
	    ./configure $(CONFIGURE_ARGS) || exit 1; \
	  else \
	    make CONFIGURE_ARGS="$CONFIGURE_ARGS" configure || exit 1; \
	  fi; \
	  cd ..; make -C $$i || exit 1; \
	done

install:
	@for i in $(SUBDIRS); do \
	  make -C $$i DESTDIR=$(DESTDIR) install || exit 1; \
	done

alsa-dist:
	@echo $(VERSION) >> $(TOP)/version
	@mkdir -p $(TOP)/distdir
	@for i in $(SUBDIRS); do \
	  cd $(TOP)/$$i; echo $(TOP)/$$i; \
	  ./gitcompile $(GITCOMPILE_ARGS) || exit 1; \
	  cd ..; make -C $$i alsa-dist || exit 1; \
	done
	@cp Makefile gitcompile distdir
	@mv distdir alsa-tools-$(VERSION)
	@tar --create --verbose --file=- alsa-tools-$(VERSION) \
	  | bzip2 -c -9 > alsa-tools-$(VERSION).tar.bz2
	@mv alsa-tools-$(VERSION) distdir

clean:
	rm -rf *~ distdir
	@for i in $(SUBDIRS); do make -C $$i clean || exit 1; done

## alsa-tools 1.0.22

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.0.20
+VERSION = 1.0.22
 TOP = .
 SUBDIRS = ac3dec as10k1 envy24control hdsploader hdspconf hdspmixer \
 	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \

## alsa-tools 1.0.23

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
-VERSION = 1.0.22
+VERSION = 1.0.23
 TOP = .
 SUBDIRS = ac3dec as10k1 envy24control hdsploader hdspconf hdspmixer \
 	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \
-	  us428control usx2yloader vxloader echomixer ld10k1 qlo10k1
+	  us428control usx2yloader vxloader echomixer ld10k1 qlo10k1 \
+	  hwmixvolume
 
 all:
 	@for i in $(SUBDIRS); do \

=== debian/changelog ===
alsa-tools (1.0.23-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Removed udev from ld10k1's 'Depends:' and added udev to "# Should-Start:" in
    ld10k1's initscript. This makes it possible to install ld10k1 on archs and
    systems without the need to run udev.

 -- Jordi Mallach <jordi@debian.org>  Sat, 19 Jun 2010 13:39:54 +0200

alsa-tools (1.0.23-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added udev to ld10k1's 'Depends:'. Thanks Holger Levsen. (closes: #585889)

  [ Jordi Mallach ]
  * Add manpage_spelling.patch with fixes to some spelling errors in
    cspctl.1.
  * Fix spelling errors in Debian-provided lo10k1.1.
  * Add DEP-3 patch headers to all patches.
  * Remove duplicate Section field.
  * Point to the GPL-2 file in copyright files.

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 Jun 2010 09:46:01 +0200

alsa-tools (1.0.23-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * ld10k1: Introduced init_live_bashismfix.patch to fix some bashism found by
    checkbashisms script. Thanks Raphael Geissert. (closes: #581117).
  * alsa-firmware-loaders: Don't create the symbolic link
    /etc/udev/rules.d/z55_alsa-firmware-loaders.rules (closes: #583743).
    alsa-firmware-loaders.postrm isn't needed anymore.
  * Added dependency on $remote_fs in ld10k1 initscript.

  [ Jordi Mallach ]
  * Add powerpcspe to the list of supported architectures, and remove
    lpia, which is no longer being used by Ubuntu.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 Jun 2010 21:37:53 +0200

alsa-tools (1.0.22-1) unstable; urgency=low

  * New upstream release.
    - fixes envy24control when running Linux 2.6.32 (closes: #569275).

  [ Elimar Riesebieter ]
  * Switched to source version 3.0.
  * Install alsa-firmware-loaders.rules as
    /lib/udev/rules.d/alsa-firmware-loaders.rules
  * Replace SYSFS{}= with ATTR{}= in alsa-firmware-loaders.rules. Thanks Jakob
    Schuerz (closes: #566124)
  * Replace BUS== with SUBSYSTEM== in alsa-firmware-loaders.rules.

  [ Jordi Mallach ]
  * Add sparc64 to the list of supported architectures.
  * Bump Standards-Version to 3.8.4, with no changes required.

 -- Jordi Mallach <jordi@debian.org>  Fri, 12 Feb 2010 03:03:54 +0100

alsa-tools (1.0.21-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Added avr32 to supported archs.
  * Bumped Standards-Version to 3.8.3. No changes.
  * Added README.source.

 -- Jordi Mallach <jordi@debian.org>  Thu, 17 Sep 2009 19:22:37 +0200

alsa-tools (1.0.20-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Bumped Standard-Version to 3.8.1; no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Thu, 04 Jun 2009 01:50:55 +0200

alsa-tools (1.0.19-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release.

  [ Jordi Mallach ]
  * Add ${misc:Depends} to liblo10k1-dev.

 -- Jordi Mallach <jordi@debian.org>  Sat, 14 Mar 2009 02:35:57 +0100

alsa-tools (1.0.18-1) experimental; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Build-Depends bumped to libasound2-dev (>= 1.0.18).

 -- Jordi Mallach <jordi@debian.org>  Fri, 07 Nov 2008 13:58:01 +0100

alsa-tools (1.0.17-1) experimental; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Switched to debhelper 7.
  * Bumped Standard-Version to 3.8.0; no changes needed.
  * Added copyright notice to *10k1 packages. Removed homepage in description.
  * Moved liblo10k1-dev to section libdevel.

  [ Jordi Mallach ]
  * Merge from Ubuntu:
    - install an icon for GUI programs.
    - add firmware_locations.patch to make firmware loaders look in
      /lib/firmware.

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Sep 2008 20:24:07 +0200

alsa-tools (1.0.16-2) unstable; urgency=low

  * Add lpia to the list of supported architectures.
  * Switch lo10k1.sh to use /bin/bash as it uses "exec -a" (closes: #465002).

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Aug 2008 17:50:06 +0200

alsa-tools (1.0.16-1) unstable; urgency=low

  * New upstream release

  [ Jordi Mallach ]
  * Switch to now official Vcs-* control fields.

  [ Elimar Riesebieter ]
  * Switched to debhelper 6.
  * Bumped Standard-Version to 3.7.3; no changes needed.
  * Removed hammerfal.patch. Applied from upstream.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Feb 2008 18:18:08 +0100

alsa-tools (1.0.15-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added hammerfall.patch, which fixes initialisation of all HDSP cards
    with hdspmixer (thanks, Frank Heckenbach). (closes: #450805)

 -- Jordi Mallach <jordi@debian.org>  Wed, 14 Nov 2007 01:02:36 +0100

alsa-tools (1.0.15-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Reworked debian/rules clean target to build twice in a row.
    (closes: #442489)
  * Added patches/as10k1_examples_Makefile.patch to run a clean distclean in
    as10k1.
  * Added LSB section to ld10k1 init script.
  * s/Apps/Applications in menus.
  * Added Homepage header in debian/control.

 -- Jordi Mallach <jordi@debian.org>  Tue, 30 Oct 2007 17:59:27 +0100

alsa-tools (1.0.14-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added README.Debian for alsa-firmware-loaders. (closes: 434592)
  * Managed to load usx2yloader via udev. (closes: #361558, #395371)
  * Make alsa-firmware-loaders depend on udev and fxload.

 -- Jordi Mallach <jordi@debian.org>  Sat, 15 Sep 2007 21:58:44 +0200

alsa-tools (1.0.14-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Added desktopfiles:
    echomixer.desktop
    envy24_control.desktop
    hdspconf.desktop
    hdspmixer.desktop
    rmedigicontrol.desktop
    A menu entry per each: (closes: 422773) Thanks Emmet Hikory.
  * Prepared to use quilt as the patch manager.
  * Removed 01_config.dpatch. Hardcoded in debian/rules.

  [ Jordi Mallach ]
  * debian/control: add XS-Vcs-Browser and XS-Vcs-Svn headers.
  * debian/*.desktop: Small changes to Comments.



=== debian/control ===
Source: alsa-tools
Section: sound
Priority: extra
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>,
           Mikael Magnusson <mikma@users.sourceforge.net>,
           Elimar Riesebieter <riesebie@lxtec.de>
Build-Depends: debhelper (>= 7), autotools-dev,
               libasound2-dev (>= 1.0.18), libfltk1.1-dev, libgtk2.0-dev,
               libqt3-mt-dev (>= 3:3.3.4-4)
Standards-Version: 3.8.4
Homepage: http://www.alsa-project.org/
Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-tools
Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-tools/

Package: alsa-tools
Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: as10k1
Conflicts: as10k1
Replaces: as10k1
Description: Console based ALSA utilities for specific hardware
 A collection of console-based utilities for specific sound hardware:
 .
  ac3dec - A free AC-3 stream decoder
  as10k1 - An assembler for the EMU10K1 (EMU10K2) DSP chip
  sbiload - OPL2/3 FM instrument loader for the ALSA sequencer
  us428control - Controller utility for Tascam US-X2Y

Package: alsa-tools-gui
Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GUI based ALSA utilities for specific hardware
 A collection of GUI based ALSA utilities for specific sound hardware:
 .
  echomixer - control tool for Echoaudio soundcards
  envy24control - control tool for Envy24 (ice1712) based soundcards
  hdspconf - GUI program to control the Hammerfall HDSP Alsa Settings.
  hdspmixer - tool to control the advanced routing features of the
              RME Hammerfall DSP.
  rmedigicontrol - control tool for RME Digi32 and RME Digi96 soundcards

Package: alsa-firmware-loaders
Section: contrib/sound
Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}, udev, fxload
Description: ALSA software loaders for specific hardware
 A collection of software loaders for specific hardware:
 .
  cspctl - Sound Blaster 16 ASP/CSP control program
  hdsploader - firmware loader for the RME Hammerfall DSP cards
  mixartloader - firmware loader for Digigram's miXart board sound drivers
  pcxhrloader - firmware loader for Digigram pcxhr compatible soundcards
  sscape_ctl - SoundScape control utility and firmware loader
  usx2yloader - firmware loader for Tascam USX2Y USB soundcards
  vxloader - firmware loader for Digigram VX soundcards

Package: ld10k1
Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-3)
Suggests: alsa-tools
Description: ALSA emu10k1/2 patch loader
 A patch loader for use with the emu10k1 ALSA driver.  Supports Sound
 Blaster Live!, Audigy and Audigy 2.

Package: liblo10k1-0
Section: libs
Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ALSA emu10k1/2 patch-loader library
 This is the runtime library for the ld10k1 patch loader for use with
 the emu10k1 ALSA driver.  Supports Sound Blaster Live!, Audigy and
 Audigy 2.

Package: liblo10k1-dev
Section: libdevel
Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Depends: liblo10k1-0 (= ${binary:Version}), libasound2-dev, ${misc:Depends}
Description: ALSA emu10k1/2 patch-loader library development files
 These are the development files for the ld10k1 patch loader for use with
 the emu10k1 ALSA driver.  Supports Sound Blaster Live!, Audigy and
 Audigy 2.

Package: qlo10k1
Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Recommends: ld10k1
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ALSA ld10k1 utility
 GUI utility for ld10k1 using QT
 .
 Still early stage of development. Source is ugly (better not to read).
 Don't expect everything will work.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

#include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

SUBDIRS_alsa-tools-gui = echomixer envy24control hdspconf hdspmixer rmedigicontrol
SUBDIRS_alsa-tools = ac3dec as10k1 seq/sbiload us428control
SUBDIRS_alsa-firmware-loaders = sb16_csp hdsploader mixartloader pcxhrloader sscape_ctl usx2yloader vxloader
SUBDIRS_tmp = ld10k1 qlo10k1
SUBDIRS := $(SUBDIRS_alsa-tools-gui) $(SUBDIRS_alsa-tools) $(SUBDIRS_alsa-firmware-loaders) $(SUBDIRS_tmp)
#SUBDIRS := $(SUBDIRS_tmp)
DOCS = AUTHORS README README.profiles TODO NEWS output.doc README.Debian
INSTALL_UAG := -o root -g audio


CFLAGS = -Wall -g
LDFLAGS = -Wl,-z,defs

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

#
# Common
#

autoreconf-ld10k1:
	(cd ld10k1 && autoconf && libtoolize -c --force && automake -c && $(RM) -r autom4te.cache)

autoreconf-qlo10k1:
	(cd qlo10k1 && aclocal -I ../ld10k1 && autoconf && automake -c && $(RM) -r autom4te.cache)

config: config-stamp
config-stamp:
	dh_testdir

# qlo10k1 needs ld10k1/include/lo10k1/version.h in configure
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo; \
	  echo "Configuring $$subdir"; \
	  (cd $$subdir && \
	  ln -sf /usr/share/misc/config.sub . && \
	  ln -sf /usr/share/misc/config.guess . && \
	  CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./configure \
	    --host=$(DEB_HOST_GNU_TYPE) \
	    --build=$(DEB_BUILD_GNU_TYPE) \
	    --prefix=/usr --mandir=\$${prefix}/share/man \
	    --infodir=\$${prefix}/share/info --datadir=\$${prefix}/share \
	    --cache-file=$(CURDIR)/config.cache \
	    --enable-static=yes \
	    --enable-dynamic=yes \
	    --with-qtdir=/usr/share/qt3 \
	    --with-ld10k1-inc-prefix=`pwd`/../ld10k1/include \
	    --with-ld10k1-prefix=`pwd`/../ld10k1/src \
	    --disable-ld10k1test &&\
	   if test $$subdir = ld10k1; then make -C include version.h; fi \
	  ); \
	done

	touch config-stamp


#Architecture 
build: build-arch

build-arch: config build-arch-stamp
build-arch-stamp:

	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo; \
	  echo "Building $$subdir"; \
	  $(MAKE) -C $$subdir; \
	done

	touch build-arch-stamp

clean: clean-stamp
clean-stamp:
	dh_testdir
	dh_testroot

	rm -f build-arch-stamp config-stamp
	rm -f config.cache
	rm -f qlo10k1/ld10k1
	rm -f qlo10k1/include/lo10k1

	-list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo; \
	  echo "Cleaning $$subdir"; \
	  $(MAKE) -C $$subdir distclean; \
	  rm -f $$subdir/config.guess; \
	  rm -f $$subdir/config.sub; \
	done

	dh_clean

# PKG = package
install-pkg:
	list='$(SUBDIRS_$(PKG))'; for subdir in $$list; do \
	  (cd $$subdir; \
	  package=$(PKG); \
	  name=`echo $$subdir | sed -e 's/^.*\///g' | sed -e 's/_/-/g'`; \
	  echo; \
	  echo "Installing $$subdir into $$name"; \
	  $(MAKE) install DESTDIR=$(CURDIR)/debian/$$package; \
	  doc_list='$(DOCS)'; for doc_file in $$doc_list; do \
	    if [ -s $$doc_file ]; then \
	      install -d $(CURDIR)/debian/$$package/usr/share/doc/$$package/$$name; \
	      install $$doc_file $(CURDIR)/debian/$$package/usr/share/doc/$$package/$$name/$$doc_file; \
	    fi; \
          done; \
	  ) \
	done

install: install-arch
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s

	$(MAKE) -f debian/rules PKG=alsa-tools install-pkg
	$(MAKE) -f debian/rules PKG=alsa-tools-gui install-pkg
	$(MAKE) -f debian/rules PKG=alsa-firmware-loaders install-pkg
	install $(INSTALL_UAG) -m644 debian/alsa-firmware-loaders.rules \
	debian/alsa-firmware-loaders/lib/udev/rules.d/85-alsa-firmware-loaders.rules
	$(MAKE) -f debian/rules PKG=tmp install-pkg

# Must not depend on anything. This is to be called by binary-arch
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog.ALSA
	dh_installdocs --exclude=Makefile
	dh_installexamples --exclude=.cvsignore --exclude=Makefile.am --exclude=Makefile.in
	chmod 644 $(CURDIR)/debian/ld10k1/usr/share/doc/ld10k1/examples/emu10k1MIDIEffects/pontodo5
	dh_install --list-missing
	(cd debian/ld10k1/usr/bin && mv -f lo10k1 lo10k1.bin && mv -f lo10k1.sh lo10k1)
	dh_installmenu
	dh_installman
	# Unless there is a reason not to, for start sequence number N
	# it is good policy to use 100 - N as the stop sequence number.
	dh_installinit --update-rcd-params='start 19 2 3 4 5 . stop 81 0 1 6 .'
	dh_link
	dh_strip
	# Exclude .asm files because only one is over 4k, and only slightly
	dh_compress -X.asm
	dh_fixperms
	dh_makeshlibs  # --version-info='liblo10k1-0 (>= 1.0.8+1.0.9rc3-1)'
	dh_installdeb
	dh_shlibdeps -l debian/liblo10k1-0/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary-indep:
	#Nothing to do here


binary: binary-arch
.PHONY: build clean binary-arch binary install install-arch config

=== debian/watch ===
version=2
ftp://ftp.alsa-project.org/pub/tools/alsa-tools-(.*)\.tar\.bz2	debian	uupdate

## alsa-tools 1.0.24.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.0.23
+VERSION = 1.0.24.1
 TOP = .
 SUBDIRS = ac3dec as10k1 envy24control hdsploader hdspconf hdspmixer \
 	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \

=== debian/changelog ===
alsa-tools (1.0.24.1-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Applied hdspmixer_recognize_RME.patch from git. (closes: #641352)
  * Modified init_live_bashismfix.patch as told by Joachim Wiedorn,
    (closes: #644396).
  * Added build-indep to rules.

  [ Jordi Mallach ]
  * Update Vcs-* fields to non-redirected URLs. 

 -- Jordi Mallach <jordi@debian.org>  Mon, 17 Oct 2011 17:21:42 +0200

alsa-tools (1.0.24.1-2) unstable; urgency=low

  * Tighten libasound2-dev Build-Depends to >= 1.0.24.1, to avoid a build
    failure of hdspmixer due to missing new alsa-lib headers
    (closes: #629911).

 -- Jordi Mallach <jordi@debian.org>  Thu, 18 Aug 2011 22:56:11 +0200

alsa-tools (1.0.24.1-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat to v8. Update .install files to remove the
    debian/tmp prefix.
  * Rename alsa-firmware-loaders.rules to .udev and use dh_installudev to
    install the rules file.
  * Drop obsolete README.source.
  * Bump Standards-Version to 3.9.2.
  * Use $(CURDIR) instead of `pwd`.

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 Jul 2011 19:16:14 +0200

alsa-tools (1.0.23-5) unstable; urgency=low

  * Switch to architecture wildcard 'linux-any'.
  * Remove unneeded .la file from liblo10k1-dev (closes: #621151).
  * Add patch from Simone Rosetto to fix loading of usx2yloader tascam
    firmware (closes: #620510).

 -- Jordi Mallach <jordi@debian.org>  Sat, 07 May 2011 17:44:20 +0200

alsa-tools (1.0.23-4) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added armhf to the supported archs. (closes: #604651)
  * Bumped Standards-Version to 3.9.1. No changes

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Apr 2011 19:57:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Jordi Mallach <jordi@debian.org>,
            Mikael Magnusson <mikma@users.sourceforge.net>,
            Elimar Riesebieter <riesebie@lxtec.de>
-Build-Depends: debhelper (>= 7), autotools-dev,
-               libasound2-dev (>= 1.0.18), libfltk1.1-dev, libgtk2.0-dev,
+Build-Depends: debhelper (>= 8), autotools-dev,
+               libasound2-dev (>= 1.0.24.1), libfltk1.1-dev, libgtk2.0-dev,
                libqt3-mt-dev (>= 3:3.3.4-4)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.alsa-project.org/
-Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-tools
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-tools/
+Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-tools
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-tools/
 
 Package: alsa-tools
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: as10k1
 Conflicts: as10k1
@@ -28,7 +28,7 @@
   us428control - Controller utility for Tascam US-X2Y
 
 Package: alsa-tools-gui
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GUI based ALSA utilities for specific hardware
  A collection of GUI based ALSA utilities for specific sound hardware:
@@ -42,7 +42,7 @@
 
 Package: alsa-firmware-loaders
 Section: contrib/sound
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, udev, fxload
 Description: ALSA software loaders for specific hardware
  A collection of software loaders for specific hardware:
@@ -56,7 +56,7 @@
   vxloader - firmware loader for Digigram VX soundcards
 
 Package: ld10k1
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-3)
 Suggests: alsa-tools
 Description: ALSA emu10k1/2 patch loader
@@ -65,7 +65,7 @@
 
 Package: liblo10k1-0
 Section: libs
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ALSA emu10k1/2 patch-loader library
  This is the runtime library for the ld10k1 patch loader for use with
@@ -74,7 +74,7 @@
 
 Package: liblo10k1-dev
 Section: libdevel
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: liblo10k1-0 (= ${binary:Version}), libasound2-dev, ${misc:Depends}
 Description: ALSA emu10k1/2 patch-loader library development files
  These are the development files for the ld10k1 patch loader for use with
@@ -82,7 +82,7 @@
  Audigy 2.
 
 Package: qlo10k1
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Recommends: ld10k1
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ALSA ld10k1 utility

=== debian/rules ===
--- 
+++ 
@@ -64,15 +64,17 @@
 	  CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./configure \
 	    --host=$(DEB_HOST_GNU_TYPE) \
 	    --build=$(DEB_BUILD_GNU_TYPE) \
-	    --prefix=/usr --mandir=\$${prefix}/share/man \
-	    --infodir=\$${prefix}/share/info --datadir=\$${prefix}/share \
+	    --prefix=/usr \
+	    --mandir=\$${prefix}/share/man \
+	    --infodir=\$${prefix}/share/info \
+	    --datadir=\$${prefix}/share \
 	    --cache-file=$(CURDIR)/config.cache \
 	    --enable-static=yes \
 	    --enable-dynamic=yes \
 	    --with-qtdir=/usr/share/qt3 \
-	    --with-ld10k1-inc-prefix=`pwd`/../ld10k1/include \
-	    --with-ld10k1-prefix=`pwd`/../ld10k1/src \
-	    --disable-ld10k1test &&\
+	    --with-ld10k1-inc-prefix=$(CURDIR)/../ld10k1/include \
+	    --with-ld10k1-prefix=$(CURDIR)/../ld10k1/src \
+	    --disable-ld10k1test && \
 	   if test $$subdir = ld10k1; then make -C include version.h; fi \
 	  ); \
 	done
@@ -81,10 +83,10 @@
 
 
 #Architecture 
-build: build-arch
-
-build-arch: config build-arch-stamp
-build-arch-stamp:
+build: build-arch build-indep
+build-arch: config build-stamp
+build-indep: build-stamp
+build-stamp:
 
 	list='$(SUBDIRS)'; for subdir in $$list; do \
 	  echo; \
@@ -119,7 +121,7 @@
 	list='$(SUBDIRS_$(PKG))'; for subdir in $$list; do \
 	  (cd $$subdir; \
 	  package=$(PKG); \
-	  name=`echo $$subdir | sed -e 's/^.*\///g' | sed -e 's/_/-/g'`; \
+	  name=$(shell echo \$$subdir | sed -e 's/^.*\///g' | sed -e 's/_/-/g'); \
 	  echo; \
 	  echo "Installing $$subdir into $$name"; \
 	  $(MAKE) install DESTDIR=$(CURDIR)/debian/$$package; \
@@ -142,8 +144,6 @@
 	$(MAKE) -f debian/rules PKG=alsa-tools install-pkg
 	$(MAKE) -f debian/rules PKG=alsa-tools-gui install-pkg
 	$(MAKE) -f debian/rules PKG=alsa-firmware-loaders install-pkg
-	install $(INSTALL_UAG) -m644 debian/alsa-firmware-loaders.rules \
-	debian/alsa-firmware-loaders/lib/udev/rules.d/85-alsa-firmware-loaders.rules
 	$(MAKE) -f debian/rules PKG=tmp install-pkg
 
 # Must not depend on anything. This is to be called by binary-arch
@@ -159,6 +159,7 @@
 	(cd debian/ld10k1/usr/bin && mv -f lo10k1 lo10k1.bin && mv -f lo10k1.sh lo10k1)
 	dh_installmenu
 	dh_installman
+	dh_installudev
 	# Unless there is a reason not to, for start sequence number N
 	# it is good policy to use 100 - N as the stop sequence number.
 	dh_installinit --update-rcd-params='start 19 2 3 4 5 . stop 81 0 1 6 .'
